Rapid7 Vulnerability & Exploit Database

VMware Player: OS Command Injection in VMware Tools update (VMSA-2010-0018) (CVE-2010-4297)

Back to Search

VMware Player: OS Command Injection in VMware Tools update (VMSA-2010-0018) (CVE-2010-4297)

Severity
7
CVSS
(AV:L/AC:L/Au:N/C:C/I:C/A:C)
Published
12/06/2010
Created
07/25/2018
Added
11/30/2013
Modified
06/03/2016

Description

The VMware Tools update functionality in VMware Workstation 6.5.x before 6.5.5 build 328052 and 7.x before 7.1.2 build 301548; VMware Player 2.5.x before 2.5.5 build 328052 and 3.1.x before 3.1.2 build 301548; VMware Server 2.0.2; VMware Fusion 2.x before 2.0.8 build 328035 and 3.1.x before 3.1.2 build 332101; VMware ESXi 3.5, 4.0, and 4.1; and VMware ESX 3.0.3, 3.5, 4.0, and 4.1 allows host OS users to gain privileges on the guest OS via unspecified vectors, related to a "command injection" issue.

Solution(s)

  • vmware-player-upgrade-2_5_5
  • vmware-player-upgrade-3_1_2

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;